<template>
    <div>

        <div class="card" style="background-color: lightgray;">

            <!-- <div class="card-header card_header_admin">
                <h5 class="mt-3 ms-2">รายการสินค้า (สลัด)</h5>
            </div> -->
            <div class="card-body mt-3" >
                <form @submit.prevent="saveProduct()">
                    <div class="row">
                        <div class="col-4">
                            <div class="mb-3">
                                <label for="exampleFormControlInput1" class="form-label">ประเภทสินค้า</label>
                                <input type="text" class="form-control" id="exampleFormControlInput1" placeholder="" v-model="global_name_type_product" readonly>
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="mb-3">
                                <label for="unit" class="form-label">หน่วย</label>
                                <select class="form-select" aria-label="unit" v-model="type_unit" required>
                                    <option selected>-- เลือก --</option>
                                    <option v-for="item in global_unit_list" :key="item.id" :value="item.id">
                                        {{ item.name_th }}
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="mb-3">
                                <label for="unit" class="form-label">แบรนด์</label>
                                <select class="form-select" aria-label="unit" v-model="type_brand" required>
                                    <option selected>-- เลือก --</option>
                                    <option v-for="item in global_brand_list" :key="item.id" :value="item.id">
                                        {{ item.name_th }}
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="mb-3">
                                <label for="name_th" class="form-label">ชื่อไทย</label>
                                <input type="text" class="form-control" id="name_th" placeholder="" v-model="name_th" required>
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="mb-3">
                                <label for="name_en" class="form-label">ชื่ออังกฤษ</label>
                                <input type="text" class="form-control" id="name_en" placeholder="" v-model="name_en" required>
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="mb-3">
                                <label for="code" class="form-label">code</label>
                                <input type="text" class="form-control" id="code" placeholder="" v-model="code" required>
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="mb-3">
                                <label for="price" class="form-label">ราคา</label>
                                <input type="number" class="form-control" id="price" placeholder="" v-model="price" required>
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="mb-3">
                                <label for="amount" class="form-label">จำนวน</label>
                                <input type="number" class="form-control" id="amount" placeholder="" v-model="amount" required>
                            </div>
                        </div>

                        <div class="col-4">
                            <div class="mb-3">
                                <label for="status" class="form-label">สถานะ</label>
                                <select class="form-select" aria-label="status" v-model="status">
                                    <option value="1"> ใช้งาน </option>
                                    <option value="2"> ไม่ใช้งาน </option>
                                </select>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="mb-3">
                                <label for="discription" class="form-label">คำอธิบาย</label>
                                <textarea class="form-control" id="discription" rows="3" v-model="discription"></textarea>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <input type="file" class="dropify" data-max-file-size="5M" data-height="400" id="file" ref="file" v-on:change="handleFileUpload( $event )" required/>
                    </div>

                    <div class="row mt-2">
                        <button type="submit" class="btn btn-success">บันทึก</button>
                    </div>
                </form>

            </div>
        </div>



    </div>
</template>

<script>


var token = null;

export default {
    data() {
        return {
            type_product: this.$route.params.type,

            unit_list:null,

            file_img:null,

            //from
            name_th:null,
            name_en:null,
            type_unit:null,
            type_brand:null,
            code:null,
            price:null,
            amount:null,
            discription:null,
            status:1,
        }
    },
    methods:{
        runFuntion(){
            this.globalAddToken();
            this.globalGetUnit();
            this.globalGetBrand();
            this.globalCheckTypeProduct(this.$route.params.type);
        },

        handleFileUpload(event){
            this.file_img = event.target.files[0];
        },
        saveProduct(){

            let formData = new FormData();
            formData.append('file', this.file_img);
            formData.append('type_product', this.type_product);
            formData.append('name_th', this.name_th);
            formData.append('name_en', this.name_en);
            formData.append('type_unit', this.type_unit);
            formData.append('type_brand', this.type_brand);
            formData.append('code', this.code);
            formData.append('price', this.price);
            formData.append('amount', this.amount);
            formData.append('discription', this.discription);
            formData.append('status', this.status);

            axios.post( 'api/product/save',
            formData,
            {
                headers: {
                    'Content-Type': 'multipart/form-data',
                }
            }
            )
            .then(response =>{
                Swal.fire(
                    'บันทึกข้อมูลสำเร็จ!',
                    '',
                    'success'
                )
                this.$router.go(-1);
            }).catch(err =>{
                Swal.fire(
                    'บันทึกไม่สำเร็จ!',
                    'กรุณาลองอีกครั้ง',
                    'error'
                )
            })
        },

    },
    mounted() {
        this.runFuntion();
    },
    computed:{

    },
    beforeMount(){
        // this.runFuntion();
    },

    created(){

        $(document).ready(function () {
            $('.select-single').select2();
            $('.dropify').dropify();


        });


    }
}
</script>

<style>

</style>
